Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
Amogh Margoor
@amoghmargoor
@adeshr looks like the values entered via View DDL has extra quotations ...Can you check that ? may be thats the issue
adeshr
@adeshr
was away in morning...checking now
adeshr
@adeshr
this is weird!! I replaced ' with " and it is working now
Amogh Margoor
@amoghmargoor
oh yeah ... thats because we use " as quotation instead of ' for Quark DDL while parsing I guess.... we would need to document this somewhere ... need to check if it's consistent with Select queries too
adeshr
@adeshr
oh..ok
I am running this query on Quark: select count(*) from customer_address as c where c.ca_street_name='commercialstreet' and it is working, so maybe select can work with both quotations?
Amogh Margoor
@amoghmargoor
@adeshr hmmm ..interesting...raise an issue and assign it to me. I could not find out exactly why looking at Sql Parser. it' minor issue so lets not get blocked on it for your PR. I will try to look at it later.
adeshr
@adeshr
sure, will raise the issue.
vrajat
@vrajat
@amoghmargoor can you take a quick look at #53 ?
oops I meant #54
Amogh Margoor
@amoghmargoor
@vrajat yeah done ...running Integration tests on it now.
vrajat
@vrajat
thx
Amogh Margoor
@amoghmargoor
@vrajat PR for quark on upgrading to calcite-1.7.0 : qubole/quark#57
vrajat
@vrajat
lgtm
calcite jars need to be deployed ?
tests failed
Amogh Margoor
@amoghmargoor
starting 5 commits is what got added after syncing from calcite branch
yeah ...that needs to be deployed
after creating qds-1.7 from it
vrajat
@vrajat
should you just create a branch from calcite branch-1.7 instead ?
they released it too
Amogh Margoor
@amoghmargoor
yeah will do that ... that makes sense
vrajat
@vrajat
feel better that way
branch from branch-1.7, CP the commits
Amogh Margoor
@amoghmargoor
sure will do that.
Prakhar Srivastava
@prakharcode
Hi I tried installing quark by building source
it's throwing error Source option 5 is no longer supported. Use 7 or later.
I then changed the maven compiler configuration to
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.6</source>
          <target>1.6</target>
        </configuration>
      </plugin>
this failed Calcite Linq4j
Any work around?
emhlbmc
@emhlbmc
is this project still alive?
Prakhar Srivastava
@prakharcode
@emhlbmc No I don't think so.